[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'TypInfo' (#rtl)

# SetUnicodeStrProp

Set UnicodeString-valued property

## Declaration

Source position: typinfo.pp line 817

`procedure SetUnicodeStrProp(`
`Instance: TObject;`
`const PropName: string;`
`const Value: UnicodeString`
`); procedure SetUnicodeStrProp(`
`Instance: TObject;`
`PropInfo: PPropInfo;`
`const Value: UnicodeString`
`);`

## Description

SetUnicodeStrProp sets the UnicodeString property from Instance to Value, where the property is identified by the PropInfo pointer or the PropertyName.

## Errors

If no property of the indicated name exists, or it is not of type unicodestring, an exception will occur.

## See also

SetStrProp |  | Set value of a string property
GetUnicodeStrProp |  | Get UnicodeString-valued property